io.swagger.client.model

## Class ContractAction

- java.lang.Object
- - io.swagger.client.model.ContractAction

-     public class ContractAction
      extends Object

  ContractAction

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractAction` | `addParametersItem(ContractActionParameter parametersItem)`
    `boolean` | `equals(Object o)`
    `Integer` | `getId()` Get id
    `List<ContractActionParameter>` | `getParameters()` Get parameters
    `Integer` | `getProvisioningStatus()` Get provisioningStatus
    `org.joda.time.DateTime` | `getTimestamp()` Get timestamp
    `Integer` | `getTransactionId()` Get transactionId
    `Integer` | `getUserId()` Get userId
    `Integer` | `getWorkflowFunctionId()` Get workflowFunctionId
    `int` | `hashCode()`
    `ContractAction` | `id(Integer id)`
    `ContractAction` | `parameters(List<ContractActionParameter> parameters)`
    `ContractAction` | `provisioningStatus(Integer provisioningStatus)`
    `void` | `setId(Integer id)`
    `void` | `setParameters(List<ContractActionParameter> parameters)`
    `void` | `setProvisioningStatus(Integer provisioningStatus)`
    `void` | `setTimestamp(org.joda.time.DateTime timestamp)`
    `void` | `setTransactionId(Integer transactionId)`
    `void` | `setUserId(Integer userId)`
    `void` | `setWorkflowFunctionId(Integer workflowFunctionId)`
    `ContractAction` | `timestamp(org.joda.time.DateTime timestamp)`
    `String` | `toString()`
    `ContractAction` | `transactionId(Integer transactionId)`
    `ContractAction` | `userId(Integer userId)`
    `ContractAction` | `workflowFunctionId(Integer workflowFunctionId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractAction

          public ContractAction()

  - ### Method Detail

    - #### id

          public ContractAction id(Integer id)

    - #### getId

          public Integer getId()

      Get id
      Returns:
        id

    - #### setId

          public void setId(Integer id)

    - #### userId

          public ContractAction userId(Integer userId)

    - #### getUserId

          public Integer getUserId()

      Get userId
      Returns:
        userId

    - #### setUserId

          public void setUserId(Integer userId)

    - #### provisioningStatus

          public ContractAction provisioningStatus(Integer provisioningStatus)

    - #### getProvisioningStatus

          public Integer getProvisioningStatus()

      Get provisioningStatus
      Returns:
        provisioningStatus

    - #### setProvisioningStatus

          public void setProvisioningStatus(Integer provisioningStatus)

    - #### timestamp

          public ContractAction timestamp(org.joda.time.DateTime timestamp)

    - #### getTimestamp

          public org.joda.time.DateTime getTimestamp()

      Get timestamp
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(org.joda.time.DateTime timestamp)

    - #### parameters

          public ContractAction parameters(List<ContractActionParameter> parameters)

    - #### addParametersItem

          public ContractAction addParametersItem(ContractActionParameter parametersItem)

    - #### getParameters

          public List<ContractActionParameter> getParameters()

      Get parameters
      Returns:
        parameters

    - #### setParameters

          public void setParameters(List<ContractActionParameter> parameters)

    - #### workflowFunctionId

          public ContractAction workflowFunctionId(Integer workflowFunctionId)

    - #### getWorkflowFunctionId

          public Integer getWorkflowFunctionId()

      Get workflowFunctionId
      Returns:
        workflowFunctionId

    - #### setWorkflowFunctionId

          public void setWorkflowFunctionId(Integer workflowFunctionId)

    - #### transactionId

          public ContractAction transactionId(Integer transactionId)

    - #### getTransactionId

          public Integer getTransactionId()

      Get transactionId
      Returns:
        transactionId

    - #### setTransactionId

          public void setTransactionId(Integer transactionId)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.